Download it now!
Bug 138612 - LibreOffice not splitting table cells automatically for docx files
Summary: LibreOffice not splitting table cells automatically for docx files
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-01 22:41 UTC by Jorge
Modified: 2020-12-08 14:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
docx file (35.33 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-12-01 22:42 UTC, Jorge
Details
doc file (82.00 KB, application/msword)
2020-12-01 22:42 UTC, Jorge
Details
MOTable Screenshot (1.47 MB, image/png)
2020-12-01 22:43 UTC, Jorge
Details
LOdocxTable Screenshot (941.64 KB, image/png)
2020-12-01 22:43 UTC, Jorge
Details
LOdocTable Screenshot (1.03 MB, image/png)
2020-12-01 22:44 UTC, Jorge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorge 2020-12-01 22:41:30 UTC
A .docx file containing a table with split cells created in MO isn't rendered correctly when importing to LibreOffice and converting to PDF as the cells are merged so part of the information is not visible. 
This can be fixed manually in Libre by stepping over the cells and splitting them manually.

When converting the document to a .doc through MO, the tables render correctly in the document.

Attached are the .docx, the .doc and a screenshots for both cases.

Version: 7.0.1.2
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 12; OS: Mac OS X 10.15.7; UI render: default; VCL: osx
Locale: en-US (en_CO.UTF-8); UI: en-US
Calc: threaded
Comment 1 Jorge 2020-12-01 22:42:14 UTC
Created attachment 167737 [details]
docx file
Comment 2 Jorge 2020-12-01 22:42:34 UTC
Created attachment 167738 [details]
doc file
Comment 3 Jorge 2020-12-01 22:43:09 UTC
Created attachment 167739 [details]
MOTable Screenshot
Comment 4 Jorge 2020-12-01 22:43:37 UTC
Created attachment 167740 [details]
LOdocxTable Screenshot
Comment 5 Jorge 2020-12-01 22:44:02 UTC
Created attachment 167741 [details]
LOdocTable Screenshot
Comment 6 Telesto 2020-12-02 21:26:50 UTC
Repro with
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 32fdb8eb3506bc8dcf013cc713fe8e5debceb940
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

fine with
Version: 6.2.9.0.0+ (x86)
Build ID: 5f01fe15eb2661f1f9ce12d1d99dc2a705b462ee
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 7 Telesto 2020-12-02 21:30:07 UTC
Page distribution /table size is off with
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

However table cells showing properly
Comment 8 Telesto 2020-12-02 21:49:38 UTC
Needs to be bibisected with Linux; getting a pretty long range on Windows
Comment 9 Xisco Faulí 2020-12-03 11:01:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=da8ea444b004a0be36964ae9a778f73e752b2673

author	László Németh <nemeth@numbertext.org>	2020-06-04 13:32:53 +0200
committer	László Németh <nemeth@numbertext.org>	2020-06-04 18:43:16 +0200
commit	da8ea444b004a0be36964ae9a778f73e752b2673 (patch)
tree	b70266a75d36d735a7d853544aa629937fe9051c
parent	c39738eabfb9edde552832581bf85e717b00cc79 (diff)
tdf#133455 DOCX import: fix table border regression

Bisected with: bibisect-linux64-7.1

Adding Cc: to László Németh

@László, please notice the importance of the bug is high/major
Comment 10 László Németh 2020-12-03 17:54:25 UTC
@Xisco: thanks for forwarding!
Comment 11 Commit Notification 2020-12-07 11:58:59 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f319d6b543c2367546bc80d138e56ed03731e265

tdf#138612 DOCX import: fix lost part of split table cell

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-12-07 13:34:58 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/2c4806d6b8d79c1b95a41b72d295888bca01d5d8

tdf#138612 DOCX import: fix lost part of split table cell

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2020-12-07 15:49:05 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 84af20ef3ea72190784e9e7be820684c2558ba8c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!
Comment 14 Commit Notification 2020-12-07 15:50:23 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/17419824db9174d45dc41ed731aa227ede6f72c4

tdf#138612 DOCX import: fix lost part of split table cell

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 László Németh 2020-12-07 17:40:06 UTC
@Xisco: thanks for verifying!
Comment 16 Commit Notification 2020-12-08 14:19:23 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-4":

https://git.libreoffice.org/core/commit/26ed177c3dc457c75ddac512001f9c02684103d0

tdf#138612 DOCX import: fix lost part of split table cell

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.